package com.sun.jmx.snmp.IPAcl;

import java.net.UnknownHostException;

class JDMHostName extends Host
{
    private static final long serialVersionUID = -9120082068923591122L;
    protected StringBuffer name;
    
    JDMHostName(int n) {
        super(n);
        this.name = new StringBuffer();
    }
    
    JDMHostName(Parser parser, int n) {
        super(parser, n);
        this.name = new StringBuffer();
    }
    
    public static Node jjtCreate(int n) {
        return new JDMHostName(n);
    }
    
    public static Node jjtCreate(Parser parser, int n) {
        return new JDMHostName(parser, n);
    }
    
    @Override
    protected String getHname() {
        return this.name.toString();
    }
    
    @Override
    protected PrincipalImpl createAssociatedPrincipal() throws UnknownHostException {
        return new PrincipalImpl(this.name.toString());
    }
}
